| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Neural.ApproximationFileServerNeural Class Reference

Class for approximation file server. More...

Inheritance diagram for IG.Neural.ApproximationFileServerNeural:
[legend]
Collaboration diagram for IG.Neural.ApproximationFileServerNeural:
[legend]

## Public Member Functions
| ApproximationFileServerNeural (string workingDirectoryPath)
virtual void | ClearMessages ()
| Clears all messages in the neural network approximator's file client/server directory. More...
virtual void | ServerCalculateApproximation ()
| Performs server-side calculation of the approximation. Reads input from standard location, calculates output and writes it to the standard location. More...
virtual void | ClientCalculateApproximation (IVector input, ref IVector output)
| Calculates the neural network based approximated values. More...
virtual void | ClientTestCalculateApproximation (string inputFilePath, string outputFilePath)
| Performs client-side test calculation of neural network based approximation where input parameters are read from a specified JSON file, and calculated output values are written to the specified file. More...

## Properties
virtual string | Directory`[get, protected set]`
| Gets or sets working directory of the current object. More...
NeuraApproximationFileManager | NeuralFileManager`[get, set]`

## Private Member Functions
| ApproximationFileServerNeural ()

## Private Attributes
string | _directory
NeuraApproximationFileManager | _neuralFileManager

## Detailed Description

Class for approximation file server.

$A Igor Apr11;

## Constructor & Destructor Documentation

IG.Neural.ApproximationFileServerNeural.ApproximationFileServerNeural | ( |  | ) |
| inline private

IG.Neural.ApproximationFileServerNeural.ApproximationFileServerNeural | ( | string | workingDirectoryPath | ) |
| inline

## Member Function Documentation

virtual void IG.Neural.ApproximationFileServerNeural.ClearMessages | ( |  | ) |
| inline virtual

Clears all messages in the neural network approximator's file client/server directory.

Reimplemented in IG.Neural.AnalysisFileServerNeural, and IG.Neural.MappingApproximationFileServerNeural.

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralClearMessages().

virtual void IG.Neural.ApproximationFileServerNeural.ServerCalculateApproximation | ( |  | ) |
| inline virtual

Performs server-side calculation of the approximation. Reads input from standard location, calculates output and writes it to the standard location.

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateApproximationServer().

virtual void IG.Neural.ApproximationFileServerNeural.ClientCalculateApproximation | ( | IVector | input,
|  | ref IVector | output
| ) |  |
| inline virtual

Calculates the neural network based approximated values.

Parameters

  input | Vector of input parameters.
  output | Vector of output parameters.

virtual void IG.Neural.ApproximationFileServerNeural.ClientTestCalculateApproximation | ( | string | inputFilePath,
|  | string | outputFilePath
| ) |  |
| inline virtual

Performs client-side test calculation of neural network based approximation where input parameters are read from a specified JSON file, and calculated output values are written to the specified file.

Parameters

  inputFilePath | Path to the JSON file where input parameters are read from. The file pointed at must exist.
  deletedFilePath | Path of a file where the calculated approximated values are written to. It can be null or empty string, in this case parameters are not written to a file (but they are still output on console).

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateApproximationClient().

## Member Data Documentation

string IG.Neural.ApproximationFileServerNeural._directory
| private

NeuraApproximationFileManager IG.Neural.ApproximationFileServerNeural._neuralFileManager
| private

## Property Documentation

virtual string IG.Neural.ApproximationFileServerNeural.Directory
| get protected set

Gets or sets working directory of the current object.

NeuraApproximationFileManager IG.Neural.ApproximationFileServerNeural.NeuralFileManager
| get set

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateApproximationServer(), and IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateMappingApproximationServer().

The documentation for this class was generated from the following file:

- extensions/ann/LibNeural/neural_server/NeuralFileServer.cs